# Generated from foxtrot-client-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name foxtrot-client

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: Foxtrot Ruby Client Library
License: MIT
URL: https://github.com/FoxtrotSystems/api-client-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
# Foxtrot Ruby Client Library
This is the Ruby client library for interacting with the Foxtrot API. The only
endpoint currently exposed is the route optimization endpoint
(`Foxtrot::Client.optimize!`).
In order to make requests, you need a valid API key. Your API key can be found
at the bottom of any page in the [Foxtrot web app](http://app.foxtrot.io/).
## Installation
`gem install foxtrot-client`
## Usage
```ruby
data = {
file_url: "https://www.domain.io/your_file.xlsx",
file_name: "your_file.xlsx",
geocode: "false",
stop_name: "Customer",
lat: "Lat",
lng: "Long",
load: "Load",
service_time: "Service Time",
time_window: "Time Window",
extra_info: "Contact Info",
date_starting: "1407712069593",
warehouse: "77 Massachusetts Ave, Cambridge MA",
num_drivers: 1,
num_avg_service_time: 10,
float_fuel_cost: 3.56,
float_driver_wage: 6.01,
float_mpg: 8.32
}
api_key = 'xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx'
require 'foxtrot'
fox = Foxtrot::Client.new api_key
resp = fox.optimize!(data).poll_and_block!
result = resp.get_result
```.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/foxtrot-client.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.4-1
- Initial package
